commit:     c2bfc996adb8a7df1b0ba4eb5b33e8979b943c4d
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 15:16:00 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 16:33:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2bfc996

dev-ml/ocaml-magic-mime: bump to 1.1.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ml/ocaml-magic-mime/Manifest                   |  1 +
 .../ocaml-magic-mime/ocaml-magic-mime-1.1.0.ebuild | 26 ++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-ml/ocaml-magic-mime/Manifest b/dev-ml/ocaml-magic-mime/Manifest
index 3723d580cee..2f7f8c30ad2 100644
--- a/dev-ml/ocaml-magic-mime/Manifest
+++ b/dev-ml/ocaml-magic-mime/Manifest
@@ -1 +1,2 @@
 DIST ocaml-magic-mime-1.0.0.tar.gz 53937 SHA256 
a9ae72476e7b8dbd70462a10b289cb29ea8a2b1b0e6e31c8faa9e5447a51e159 SHA512 
e6a050e0adc465d174083b101b66805e3261b0498cd20d19bd4d2da52859d6c792f8e13e1c787d54f81e1ff65048f4fb3c38367f1a60c8e5c94367f5f685dc8e
 WHIRLPOOL 
be87b1b7d0f5426360f4c565933ab7eae572a71f045dbaeff6c2ee8fb7a02e8e0a3e6c3a9843cdedde02d9c78e5f2b973b9bb5768fbc267a4852277984a9e440
+DIST ocaml-magic-mime-1.1.0.tar.gz 13228 SHA256 
76b01222006ac77c9f95053af3ef1c3d9fc7c340fd5637bcc5659bda772f0ddf SHA512 
41daa6d85a1398498f03dc54d6e5c5057c79c9c7e4063fb67e73c1b497e69a0c67796640c837fcf3715e8bea7590288f1cf84e41c7ab46d910c6d8d32156efe5
 WHIRLPOOL 
52011c018f869cde3436cccf98e9d5fd8f96f6ea4a2d686f2d75b08afae3491f5216818e567e0296c5e253dd506165a11892edbb3d2f18b8bc73be6d7260e829

diff --git a/dev-ml/ocaml-magic-mime/ocaml-magic-mime-1.1.0.ebuild 
b/dev-ml/ocaml-magic-mime/ocaml-magic-mime-1.1.0.ebuild
new file mode 100644
index 00000000000..17c16d0e2fa
--- /dev/null
+++ b/dev-ml/ocaml-magic-mime/ocaml-magic-mime-1.1.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Convert file extensions to MIME types"
+HOMEPAGE="https://github.com/mirage/ocaml-magic-mime";
+SRC_URI="https://github.com/mirage/ocaml-magic-mime/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-lang/ocaml:="
+DEPEND="${RDEPEND}
+       dev-ml/jbuilder
+       dev-ml/opam
+"
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               magic-mime.install || die
+}

Reply via email to